import React from "react";
import {
  CommentsIcon,
  DownloadIcon,
  EyeIconBig,
  StarsIconSmall,
  VerifiedIcon,
} from "../../components/icons/marketPlaceIcons";

import assetImage from "../../assets/image/image.png";
const Card: React.FC = () => {
  return (
    <div className="card-container">
      <div className="icon">
        <DownloadIcon />
      </div>
      <div className="image-container">
        <img src={assetImage} alt="" />
      </div>
      <div className="assets-container">
        <div className="name-container">
          <div className="asstes-container">Asset name</div>
          <div className="assets-date">Uploaded on-12 Jan 23</div>
        </div>
        <div className="details">
          <div className="content">
            <EyeIconBig />
            1.5k
          </div>
          <div className="content">
            <CommentsIcon />
            32
          </div>
        </div>
      </div>

      <div className="vendor-icon">
        HEXR FACTORY <VerifiedIcon />
      </div>
      <div className="stars-container">
        <div className="stars-wrapper">
          <StarsIconSmall />
          <StarsIconSmall />
          <StarsIconSmall />
          <StarsIconSmall />
          <StarsIconSmall />
        </div>
        <div className="units">
          ₹ 36,500/<span>unit</span>
        </div>
      </div>
      <div className="buy-now-button">Buy now</div>
    </div>
  );
};

export default Card;
